Subject: Re: [PATCH v2 0/5] mfd/extcon/regulators: max77843: add dtschema/bindings

From: Lee Jones <[email-masked]>
Date: Mon, 7 Feb 2022 10:11:05 +0000

On Mon, 07 Feb 2022, Krzysztof Kozlowski wrote:

> On 07/02/2022 10:33, Lee Jones wrote:
> > On Sun, 06 Feb 2022, Krzysztof Kozlowski wrote:
> > 
> >> On 11/01/2022 18:48, Krzysztof Kozlowski wrote:
> >>> Hi,
> >>>
> >>> The max77843 shares some parts with max77693 but it lacked bindings.  All
> >>> its compatibles were undocumented.  Add basic bindings for max77843,
> >>> matching existing devicetree.  These are not complete bindings, but
> >>> rather reverse-engineered to match current state.
> >>>
> >>> I do not have access to device with MAX77843, so if anyone else
> >>> volunteers to be the bindings maintainer, please join.
> >>>
> >>> Changes since v1
> >>> ================
> >>> 1. MFD: Use absolute path to schemas.
> >>> 2. Regulator: mention all allowed properties,
> >>>    additionalProperties=false, add min/max values for voltages and
> >>>    current, don't use patternProperties when not needed.
> >>> 3. extcon: Use absolute path to schemas.
> >>>
> >>> Dependencies
> >>> ============
> >>> 1. Patch 1/5 (dts): nothing depends on it, sending here so Rob's automatic
> >>>    checker won't complain about DTS.
> >>>    I will take it via Samsung SoC tree.
> >>>
> >>> 2. The patch 4/5 (mfd bindings) depends on regulator and extcon, so they
> >>>    should come together (2+3+4+5).
> >>>
> >> Dear Lee,
> >>
> >> This patchset was reviewed and there are no outstanding issues. Could
> >> you pick up patches 2-5 (skipping DTS patch) via MFD tree?
> > 
> > Are the subsystem maintainers not going to review/ack?
> > 
> 
> Would be nice to have them, but maybe since these are dt-bindings maybe
> they were skipped? 

Agreed, not required, but nice to have to avoid possible conflict.

> Or maybe it was the end-of-year holidays?

> I can resend hoping it will trigger more acks. Do you wish me to resend?

That shouldn't be necessary.

I'll give the guys a little while to protest/ack, then I'll merge.

-- 
Lee Jones [李琼斯]
Principal Technical Lead - Developer Services
Linaro.org │ Open source software for Arm SoCs
Follow Linaro: Facebook | Twitter | Blog

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel